Mandriva Linux Security Advisory : glibc (MDVSA-2014:175)

This script is Copyright (C) 2014-2015 Tenable Network Security, Inc.


Synopsis :

The remote Mandriva Linux host is missing one or more security
updates.

Description :

Multiple vulnerabilities has been found and corrected in glibc :

When converting IBM930 code with iconv(), if IBM930 code which
includes invalid multibyte character 0xffff is specified, then iconv()
segfaults (CVE-2012-6656).

Off-by-one error in the __gconv_translit_find function in
gconv_trans.c in GNU C Library (aka glibc) allows context-dependent
attackers to cause a denial of service (crash) or execute arbitrary
code via vectors related to the CHARSET environment variable and gconv
transliteration modules (CVE-2014-5119).

Crashes were reported in the IBM code page decoding functions (IBM933,
IBM935, IBM937, IBM939, IBM1364) (CVE-2014-6040).

The updated packages have been patched to correct these issues.

See also :

http://seclists.org/oss-sec/2014/q3/485
https://bugzilla.redhat.com/show_bug.cgi?id=1135841
https://rhn.redhat.com/errata/RHSA-2014-1110.html
https://sourceware.org/bugzilla/show_bug.cgi?id=14134
https://sourceware.org/bugzilla/show_bug.cgi?id=17325

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:ND)
Public Exploit Available : true

Family: Mandriva Local Security Checks

Nessus Plugin ID: 77654 ()

Bugtraq ID: 68983
69470
69472

CVE ID: CVE-2012-6656
CVE-2014-5119
CVE-2014-6040

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now